Skip to main content
POST
/
templates
/
{templateID}
Rebuild template
curl --request POST \
  --url https://api.e2b.app/templates/{templateID} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dockerfile": "<string>",
  "alias": "<string>",
  "teamID": "<string>",
  "startCmd": "<string>",
  "readyCmd": "<string>",
  "cpuCount": 2,
  "memoryMB": 129
}
'
{
  "templateID": "<string>",
  "buildID": "<string>",
  "cpuCount": 2,
  "memoryMB": 129,
  "diskSizeMB": 1,
  "public": true,
  "aliases": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "<string>"
  },
  "lastSpawnedAt": "2023-11-07T05:31:56Z",
  "spawnCount": 123,
  "buildCount": 123,
  "envdVersion": "<string>",
  "names": [
    "<string>"
  ],
  "buildStatus": "building"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

templateID
string
required

Body

application/json
dockerfile
string
required

Dockerfile for the template

alias
string

Alias of the template

teamID
string

Identifier of the team

startCmd
string

Start command to execute in the template after the build

readyCmd
string

Ready check command to execute in the template after the build

cpuCount
integer<int32>

CPU cores for the sandbox

Required range: x >= 1
memoryMB
integer<int32>

Memory for the sandbox in MiB

Required range: x >= 128

Response

The build was accepted

templateID
string
required

Identifier of the template

buildID
string
required

Identifier of the last successful build for given template

cpuCount
integer<int32>
required

CPU cores for the sandbox

Required range: x >= 1
memoryMB
integer<int32>
required

Memory for the sandbox in MiB

Required range: x >= 128
diskSizeMB
integer<int32>
required

Disk size for the sandbox in MiB

Required range: x >= 0
public
boolean
required

Whether the template is public or only accessible by the team

aliases
string[]
required

Aliases of the template

createdAt
string<date-time>
required

Time when the template was created

updatedAt
string<date-time>
required

Time when the template was last updated

createdBy
object
required
lastSpawnedAt
string<date-time> | null
required

Time when the template was last used

spawnCount
integer<int64>
required

Number of times the template was used

buildCount
integer<int32>
required

Number of times the template was built

envdVersion
string
required

Version of the envd running in the sandbox

names
string[]

Names of the template (namespace/alias format when namespaced)

buildStatus
enum<string>

Status of the template build

Available options:
building,
waiting,
ready,
error,
uploaded